Package: org.codehaus.groovy.runtime.m12n

## [Java] Class PropertiesModuleFactory

- org.codehaus.groovy.runtime.m12n.PropertiesModuleFactory

- This is the base class for classes responsible for creating modules using properties.

  Since:
    2.0.0
  Authors:
    Cedric Champeau

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `MODULE_NAME_KEY` |
    `static String` | `MODULE_VERSION_KEY` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ExtensionModule` | `newModule(Properties properties, ClassLoader classLoader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final String MODULE_NAME_KEY

    - #### public static final String MODULE_VERSION_KEY

  - ### Method Detail

    - #### public ExtensionModule newModule(Properties properties, ClassLoader classLoader)